/**
 * Blank Bootstrap 4 - theme class
 * 
 * 
 * 
 * @copyright SCHLIX Web Inc
 *
 * @license MIT
 *
 * @package blankbootstrap4
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    https://www.schlix.com
 */

// Bootstrap 3 does not allow submenu level greater than 2 by default. This 
// is the patch
$(document).ready(function(){
    // Bootstrap 4 Buttons backward compatibility with Bootstrap 3
    $(".btn-default").each(function(li) { $(this).addClass('btn-secondary'); });
    
    // Bootstrap 4 MENU backward compatibility with Bootstrap 3
    $(".nav li a").each(function(li) { $(this).addClass('nav-link'); $(this).parent().addClass('nav-item'); });
    
    // Bootstrap 4 BREADCRUMB  backward compatibility with Bootstrap 3
    $("ul.breadcrumb li").each(function(li) { $(this).addClass('breadcrumb-item'); });
    
    // Bootstrap 4 PANEL backward compatibility with Bootstrap 3
    $(".panel").each(function(li) {$(this).addClass('card'); });
    $(".panel-heading").each(function(li) {$(this).addClass('card-header'); });
    $(".panel-body").each(function(li) {$(this).addClass('card-block'); });
    $(".panel-footer").each(function(li) {$(this).addClass('card-footer'); });
    $(".panel-primary").each(function(li) {$(this).addClass('card-primary'); });
    $(".panel-success").each(function(li) {$(this).addClass('card-success'); });
    $(".panel-warning").each(function(li) {$(this).addClass('card-warning'); });
    $(".panel-danger").each(function(li) {$(this).addClass('card-danger'); });
    
    
    
    // Bootstrap 4 doesn't allow multilevel drop down more than 2
  $('.dropdown-submenu > a ').on("click", function(e){
    $(this).next('ul').toggle();
    e.stopPropagation();
    e.preventDefault();
  });
});