<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE, NOT OPEN SOURCE (GPL).
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');
global $HTMLHeader;

$HTMLHeader->CSS('/system/blocks/bootstrapslideshow/bootstrapslideshow.css'); 

$slideshow_count = count($slideshow_array);
$slideshow_css_id = SAFE_HTML($this->block_name);
$slideshow_height = $height;
?> 
<?php if ($slideshow_array): ?>



    <!-- Carousel
    ================================================== -->
    <div id="<?= $slideshow_css_id ?>" class="carousel slide bootstrap-slideshow" data-ride="carousel">
      <!-- Indicators -->
      
        <ol class="carousel-indicators">
            <?php for ($i = 0; $i < $slideshow_count; $i++): ?>
                <li data-target="#<?= $slideshow_css_id ?>" data-slide-to="<?= $i ?>" <?= ($i == 0) ? 'class="active"' : '' ?>></li>
            <?php endfor; ?>
        </ol>
      
      <div class="carousel-inner" role="listbox">
          
            <?php for ($i = 0; $i < $slideshow_count; $i++): ?>
            <?php $slide = $slideshow_array[$i]; ?>
                <div class="carousel-item <?= $i == 0 ? 'active' : '' ?>">
                    <img class="slide_image" src="<?= $this->app->getDataFileURLPath('image_large', $slide['image']); ?>" alt="<?= SAFE_HTML($slide['title']); ?>">
                    <?php if (!empty($slide['summary'])): ?>
                        <div class="container">
                            <div class="carousel-caption">
                                <h1><?= SAFE_HTML($slide['title']); ?><h1>
                                    <div class="slide_text">
                                        <?= $slide['summary']; ?>
                                    </div>
                            </div>
                        </div>
                    <?php endif; ?>
                </div>
            <?php endfor; ?>
           
      </div>
      <a class="left carousel-control" href="#<?= $slideshow_css_id ?>" role="button" data-slide="prev">
        <span class="fa fa-left" aria-hidden="true"></span>
        <span class="sr-only"><?= ___('Previous') ?></span>
      </a>
      <a class="right carousel-control" href="#<?= $slideshow_css_id ?>" role="button" data-slide="next">
        <span class="fa fa-right" aria-hidden="true"></span>
        <span class="sr-only"><?= ___('Next') ?></span>
      </a>
      
      
      
      
    </div><!-- /.carousel -->
    
    <!-- /.carousel -->
<?php endif; ?>